| Home | Libraries | People | FAQ | More

#### http::string_to_field

Attempt to convert a string to a field enum.

##### Synopsis

Defined in header `<boost/beast/http/field.hpp>`

    field
    string_to_field(
        string_view s);

##### Description

The string comparison is case-insensitive.

##### Return Value

The corresponding field, or `http::unknown` if no known field matches.

Convenience header `<boost/beast/http.hpp>`